Loading...
Searching...
No Matches
Opm::ZoltanPartitioningControl< Element > Struct Template Reference

Control parameters for on-rank subdomain partitioning using Zoltan library. More...

`#include <partitionCells.hpp>`

## Public Attributes

double | domain_imbalance {1.03}
| Partition imbalance, percentage units.
std::function< int(const Element &)> | index
| Compute a locally unique, for this MPI process, ID of a local cell/element/entity.
std::function< int(int)> | local_to_global
| Compute a globally unique, across all MPI processes, ID for a local cell/element/entity.

## Detailed Description

template<typename Element>
struct Opm::ZoltanPartitioningControl< Element >

Control parameters for on-rank subdomain partitioning using Zoltan library.

Template Parameters

  Element | Grid view entity type

## Member Data Documentation

## domain_imbalance

template<typename Element>

double Opm::ZoltanPartitioningControl< Element >::domain_imbalance {1.03}

Partition imbalance, percentage units.

Assumed to be the run's value of ZoltanImbalanceTol.

## local_to_global

template<typename Element>

std::function<int(int)> Opm::ZoltanPartitioningControl< Element >::local_to_global

Compute a globally unique, across all MPI processes, ID for a local cell/element/entity.

Might for instance return the cell's linearised index

i + nx*(j + ny*k)

of the Cartesian cell (i,j,k).

The documentation for this struct was generated from the following file:

- opm/simulators/flow/partitionCells.hpp